Summary:	Database drivers for libdbi
Name:		libdbi-drivers
Version:	0.8.3
Release:	alt1
License:	LGPL
Group:		System/Libraries
URL:		http://libdbi-drivers.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/libdbi-drivers/%{name}-%{version}-1.tar.gz

# Automatically added by buildreq on Mon Feb 09 2009
BuildRequires: docbook-style-dsssl gcc-c++ libMySQL-devel libdbi-devel 
BuildRequires: libfreetds-devel libsqlite-devel libsqlite3-devel openjade
BuildRequires: postgresql-devel w3c-markup-validator-libs

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

%package	dbd-mysql
Summary:	MySQL driver for libdbi
Group:		System/Libraries

%description	dbd-mysql
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to MySQL database servers through the libdbi
database independent abstraction layer. Switching a program's driver does not
require recompilation or rewriting source code.

%package	dbd-pgsql
Summary:	PostgreSQL driver for libdbi
Group:		System/Libraries

%description	dbd-pgsql
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to PostgreSQL database servers through the
libdbi database independent abstraction layer. Switching a program's driver
does not require recompilation or rewriting source code.

%package	dbd-sqlite
Summary:	SQLite driver for libdbi
Group:		System/Libraries

%description	dbd-sqlite
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to SQLite database servers through the libdbi
database independent abstraction layer. Switching a program's driver does not
require recompilation or rewriting source code.

%package	dbd-sqlite3
Summary:	SQLite3 driver for libdbi
Group:		System/Libraries

%description	dbd-sqlite3
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to SQLite3 database servers through the
libdbi database independent abstraction layer. Switching a program's driver
does not require recompilation or rewriting source code.

%package	dbd-freetds
Summary:	MSSQL (FreeTDS) driver for libdbi
Group:		System/Libraries

%description	dbd-freetds
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to MSSQL database servers through the libdbi
database independent abstraction layer. Switching a program's driver does not
require recompilation or rewriting source code.

%package	devel
Summary:	Header files for the %{name} library drivers
Group:		Development/C
Provides:	%{name}-drivers-devel
Requires:	libdbi-devel >= 0.8.2

%description	devel
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This package contains header files.

%package	devel-static
Summary:	Static library for the %{name} library drivers
Group:		Development/C
Provides:	%{name}-drivers-devel
Requires:	libdbi-devel >= 0.8.2

%description	devel-static
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This package contains the static libraries.

%package	doc
Summary:	Docs for the %{name} library drivers
Group:		Development/C
Provides:	%{name}-drivers-devel
Requires:	libdbi-devel >= 0.8.2

%description	doc
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This package contains the doc.


%prep

%setup -q -n %{name}-%{version}-1

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" acinclude.m4

%build
%autoreconf
%configure \
    --with-mysql \
    --with-pgsql \
    --with-sqlite \
    --with-sqlite3 \
    --with-freetds \
    --with-freetds-incdir=%{_includedir} \
    --with-freetds-libdir=%{_libdir} \
    --with-dbi-incdir=%{_includedir}/dbi \
    --with-dbi-libdir=%{_libdir}

%make_build

%install
%makeinstall_std

# install development headers
install -d %{buildroot}%{_includedir}/dbi
install -m0644 drivers/mysql/dbd_mysql.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/pgsql/dbd_pgsql.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/sqlite/dbd_sqlite.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/sqlite3/dbd_sqlite3.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/freetds/dbd_freetds.h %{buildroot}%{_includedir}/dbi/

# fix some docs
cp drivers/mysql/TODO TODO.mysql
cp drivers/pgsql/TODO TODO.pgsql
cp drivers/sqlite/TODO TODO.sqlite
cp drivers/sqlite3/TODO TODO.sqlite3

%files dbd-mysql
%doc drivers/mysql/README
%doc drivers/mysql/AUTHORS
%doc drivers/mysql/dbd_mysql
%doc drivers/mysql/dbd_mysql.pdf
%{_libdir}/dbd/libdbdmysql.so

%files dbd-pgsql
%doc drivers/pgsql/README
%doc drivers/pgsql/AUTHORS
%doc drivers/pgsql/dbd_pgsql
%doc drivers/pgsql/dbd_pgsql.pdf
%{_libdir}/dbd/libdbdpgsql.so

%files dbd-sqlite
%doc drivers/sqlite/README
%doc drivers/sqlite/AUTHORS
%doc drivers/sqlite/dbd_sqlite
%doc drivers/sqlite/dbd_sqlite.pdf
%{_libdir}/dbd/libdbdsqlite.so

%files dbd-sqlite3
%doc drivers/sqlite3/AUTHORS
%doc drivers/sqlite3/README
%doc drivers/sqlite3/AUTHORS
%doc drivers/sqlite3/dbd_sqlite3
%doc drivers/sqlite3/dbd_sqlite3.pdf
%{_libdir}/dbd/libdbdsqlite3.so

%files dbd-freetds
%doc drivers/freetds/README
%{_libdir}/dbd/libdbdfreetds.so

%files devel
%doc AUTHORS ChangeLog INSTALL README TODO*
%{_includedir}/dbi/*.h

%files devel-static
%{_libdir}/dbd/*.a

%files doc
%_datadir/doc/%name

%changelog
* Mon Feb 09 2009 Boris Savelev <boris@altlinux.org> 0.8.3-alt1
- initial build for Sisyphus from Mandriva

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-4mdv2009.0
+ Revision: 233768
- rebuild

* Mon Jun 16 2008 Anssi Hannula <anssi@mandriva.org> 0.8.3-3mdv2009.0
+ Revision: 219475
- build with main freetds, it has equal functionality now

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-2mdv2008.1
+ Revision: 178294
- bump release
- 0.8.3-1

* Sun Feb 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-1mdv2008.1
+ Revision: 169620
- 0.8.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-1mdv2008.0
+ Revision: 81075
- 0.8.2-1


* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-2mdv2007.0
+ Revision: 110697
- rebuilt against new postgresql libs

* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-1mdv2007.1
+ Revision: 94098
- fix doc inclusion
- added the sqlite3 driver
- Import libdbi-drivers

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-1mdk
- 0.8.1
- added the freetds backend

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-2mdk
- rebuilt against MySQL-5.0.15

* Fri Sep 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-2mdk
- lib64 fixes (P0)

* Fri Jun 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

